@ECHO OFF
CLS
ECHO                    ͻ
ECHO                               Assassinate Darth Vader            
ECHO                                    by Jereth Kok                 
ECHO                    ͼ
ECHO Check for necessary files:
 IF NOT EXIST KILVADER.GOB GOTO NOFILE
 IF NOT EXIST KILVADER.LFD GOTO NOFILE
 IF NOT EXIST KILVADER.BAT GOTO NOFILE
 IF NOT EXIST KILVADER.TXT GOTO NOFILE
ECHO All files found.
ECHO --------------------------------
ECHO Check for conflicting files:
 IF EXIST KILVADER.LEV GOTO CONFLICT
 IF EXIST KILVADER.O GOTO CONFLICT
 IF EXIST KILVADER.INF GOTO CONFLICT
 IF EXIST KILVADER.GOL GOTO CONFLICT
 IF EXIST KILVADER.PAL GOTO CONFLICT
 IF EXIST KILVADER.CMP GOTO CONFLICT
 IF EXIST JEDI.LVL GOTO CONFLICT
 IF EXIST TEXT.MSG GOTO CONFLICT
 IF EXIST BRIEFING.LST GOTO CONFLICT
 IF EXIST CUTSCENE.LST GOTO CONFLICT
 IF EXIST KYLESHIP.VUE GOTO CONFLICT
 IF EXIST SHUTTLE.VUE GOTO CONFLICT
 IF EXIST TIE1.VUE GOTO CONFLICT
 IF EXIST TIE2.VUE GOTO CONFLICT
 IF EXIST TIE3.VUE GOTO CONFLICT
 IF EXIST TIE4.VUE GOTO CONFLICT
 IF EXIST BRDGWNDW.BM GOTO CONFLICT
 IF EXIST VADER.WAX GOTO CONFLICT
 IF EXIST DEDOFFCR.FME GOTO CONFLICT
 IF EXIST OCCUTANK.FME GOTO CONFLICT
 IF EXIST TOO1BEE.FME GOTO CONFLICT
 IF EXIST PLATFORM.3DO GOTO CONFLICT
 IF EXIST FIGHT-01.GMD GOTO CONFLICT
 IF EXIST STALK-01.GMD GOTO CONFLICT
 IF EXIST BREATH.VOC GOTO CONFLICT
 IF EXIST PHASE1A.VOC GOTO CONFLICT
 IF EXIST PHASE1B.VOC GOTO CONFLICT
 IF EXIST PHASE1C.VOC GOTO CONFLICT
 IF EXIST RANTRO10.VOC GOTO CONFLICT
 IF EXIST RANTRO11.VOC GOTO CONFLICT
 IF EXIST SABER.VOC GOTO CONFLICT
 IF EXIST SWORD-1.VOC GOTO CONFLICT
 IF EXIST VADER1.VOC GOTO CONFLICT
 IF EXIST VADER2.VOC GOTO CONFLICT
ECHO None found.
ECHO --------------------------------
ECHO Patching DFBRIEF.LFD
 IF EXIST DFBRIEF.LFD GOTO DFBRIEF
COPY KILVADER.LFD DFBRIEF.LFD 
ECHO --------------------------------
ECHO Right, let's play!
PAUSE
dark -ukilvader.gob -shots

DEL DFBRIEF.LFD
CLS
ECHO Thanks for playing!
ECHO Please mail me on...
ECHO         jereth@alphalink.com.au
ECHO                          ...and tell me what you think!
ECHO ----------------------------------------------------------------------
ECHO For those knowledgable in the technical side of Dark Forces....
ECHO  Why shouldn't the stormtroopers have been shooting at Kyle
ECHO  in the level you just played?
ECHO  (hint - is he in disguise???)
ECHO If you can figure this out, tell me the answer when you mail me!
GOTO END

:NOFILE
ECHO One of the files needed to run this level is missing!
ECHO These files are needed in your DARK directory:
ECHO            KILVADER.GOB
ECHO            KILVADER.LFD
ECHO            KILVADER.BAT
ECHO            KILVADER.TXT
GOTO END

:CONFLICT
ECHO One or more files exists in your DARK directory that have the same name
ECHO as a file(s) in KILVADER.GOB. The level won't work properly because
ECHO they are there. Please back up and delete them.
ECHO These are the files in KILVADER.GOB:
 ECHO  Level files:
 ECHO KILVADER.LEV 
 ECHO KILVADER.O 
 ECHO KILVADER.INF 
 ECHO KILVADER.GOL 
 ECHO KILVADER.PAL 
 ECHO KILVADER.CMP 
PAUSE 
 ECHO  Other Important files:
 ECHO JEDI.LVL 
 ECHO TEXT.MSG 
 ECHO BRIEFING.LST 
 ECHO CUTSCENE.LST 
PAUSE 
 ECHO  3D objects:
 ECHO PLATFORM.3DO 
 ECHO KYLESHIP.VUE 
 ECHO SHUTTLE.VUE 
 ECHO TIE1.VUE 
 ECHO TIE2.VUE 
 ECHO TIE3.VUE 
 ECHO TIE4.VUE 
PAUSE 
 ECHO  Graphics:
 ECHO BRDGWNDW.BM
 ECHO VADER.WAX 
 ECHO DEDOFFCR.FME 
 ECHO OCCUTANK.FME 
 ECHO TOO1BEE.FME 
PAUSE 
 ECHO  Sounds and musics:
 ECHO FIGHT-01.GMD 
 ECHO STALK-01.GMD 
 ECHO BREATH.VOC 
 ECHO PHASE1A.VOC 
 ECHO PHASE1B.VOC 
 ECHO PHASE1C.VOC 
 ECHO RANTRO10.VOC
 ECHO RANTRO11.VOC
 ECHO SABER.VOC 
 ECHO SWORD-1.VOC 
 ECHO VADER1.VOC 
 ECHO VADER2.VOC 
GOTO END

:DFBRIEF
ECHO A DFBRIEF.LFD exists in your DARK directory. Please back it up and 
ECHO remove it.
GOTO END

:END
ECHO ----------------------------------------------------------------------
PAUSE
